PDF::API3::Compat::API2::Basic::TTF::Anchor(3)

TITLE
PDF::API3::Compat::API2::Basic::TTF::Anchor - Anchor points for GPOS tables

DESCRIPTION
The Anchor defines an anchor point on a glyph providing various information depending on how much is available, including such information as the co-ordinates, a curve point and even device specific modifiers.

INSTANCE VARIABLES

x   XCoordinate of the anchor point

y   YCoordinate of the anchor point

p   Curve point on the glyph to use as the anchor point

xdev
    Device table (delta) for the xcoordinate

ydev
    Device table (delta) for the ycoordinate

xid XIdAnchor for multiple master horizontal metric id

yid YIdAnchor for multiple master vertical metric id

METHODS

  new
Creates a new Anchor

  read($fh)
Reads the anchor from the given file handle at that point. The file handle is left at an arbitrary read point, usually the end of something!

  out($fh, $style)
Outputs the Anchor to the given file handle at this point also addressing issues of deltas. If $style is set, then no output is set to the file handle. The return value is the output string.

  $a->out_xml($context)
Outputs the anchor in XML

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.